Subject: Re: bug#17590: [PATCH] build: libstdbuf.so: avoid new OS X link failure

From: Jim Meyering <[email-masked]>
Date: Mon, 26 May 2014 08:05:34 -0700

On Mon, May 26, 2014 at 1:25 AM, Pádraig Brady <[email-masked]> wrote:
> On 05/25/2014 11:19 PM, Jim Meyering wrote:
>> On Sun, May 25, 2014 at 1:31 PM, Pádraig Brady <[email-masked]> wrote:
>>> On 05/25/2014 08:48 PM, Jim Meyering wrote:
>>>> Without the attached patch, I'd get this new link failure on OS X:
>>>>
>>>> Undefined symbols for architecture x86_64:
>>>>   "_libintl_gettext", referenced from:
>>>>       _apply_mode in src_libstdbuf_so-libstdbuf.o
>>>> ld: symbol(s) not found for architecture x86_64
>>>> collect2: error: ld returned 1 exit status
>>>> make[2]: *** [src/libstdbuf.so] Error 1
>>>
>>> Oh cool, I presume that's since I generalized the
>>> stdbuf enablement check that stdbuf is now built
>>> on Mac OS X. I presume it works too or you would
>>> have seen the test failure.
>>>
>>> Change looks good.
>>
>> Pushed.  Unfortunately, once past that link failure,
>> the test of new-to-OSX stdbuf fails.  Here's stdbuf.log:
>
> That shows that the test is correct,
> and indicates that the buffering settings were ignored.
>
> I did a very quick search which suggests something
> like the attached might work (assuming the build params
> we hardcode for building the shared lib are OK).

You appear to have nailed it.  The patch looks fine, and
with that, the test now passes on OS X 10.8.5.